VST 3 Examples VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
HostCheck Class Reference

`#include <hostcheck.h>`

## Public Types
using | ParamIDs = std::set<Steinberg::Vst::ParamID>

## Public Member Functions
| HostCheck ()
void | addParameter (Steinberg::Vst::ParamID paramId)
void | setProcessSetup (Steinberg::Vst::ProcessSetup &setup)
void | setComponent (Steinberg::Vst::IComponent *component)
bool | validate (Steinberg::Vst::ProcessData &data, Steinberg::int32 minInputBufferCount, Steinberg::int32 minOutputBufferCount)
const EventLogger::Codes & | getEventLogs () const
EventLogger & | getEventLogger ()

## Static Public Member Functions
static HostCheck & | Instance ()

## Member Typedef Documentation

## ◆ ParamIDs

using ParamIDs = std::set<Steinberg::Vst::ParamID>

## Constructor & Destructor Documentation

## ◆ HostCheck()

HostCheck | ( |  | ) |

## Member Function Documentation

## ◆ Instance()

static HostCheck & Instance | ( |  | ) |
| inline static

## ◆ addParameter()

void addParameter | ( | Steinberg::Vst::ParamID | paramId | ) |

## ◆ setProcessSetup()

void setProcessSetup | ( | Steinberg::Vst::ProcessSetup & | setup | ) |

## ◆ setComponent()

void setComponent | ( | Steinberg::Vst::IComponent * | component | ) |

## ◆ validate()

bool validate | ( | Steinberg::Vst::ProcessData & | data,
|  | Steinberg::int32 | minInputBufferCount,
|  | Steinberg::int32 | minOutputBufferCount )

## ◆ getEventLogs()

const EventLogger::Codes & getEventLogs | ( |  | ) | const
| inline

## ◆ getEventLogger()

EventLogger & getEventLogger | ( |  | ) |
| inline

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.